Contorno a BSpline

From FreeCAD Documentation
Revision as of 15:53, 14 February 2014 by Yorik (talk | contribs) (Created page with "==Opciones==")

Draft_WireToBSpline

Ubicación en el Menú
Boceto-> Contorno a BSpline
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

Esta herramienta convierte Contornos en BSplines, y viceversa.

Utilización

  1. Selecciona un contorno o una BSpline
  2. Presiona el botón Contorno a BSpline

Opciones

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)